Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.core.learning
Class UnsupervisedLearning

    java.lang.Object
      org.neuroph.core.learning.LearningRule
          org.neuroph.core.learning.IterativeLearning
              org.neuroph.core.learning.UnsupervisedLearning

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CompetitiveLearning, UnsupervisedHebbianLearning

    public abstract class UnsupervisedLearning

extends IterativeLearning
implements Serializable

Base class for all unsupervised learning algorithms.

Author:
  Zoran Sevarac
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.learning.IterativeLearning
`currentIteration, iterationsLimited, learningRate, maxIterations`

Fields inherited from class org.neuroph.core.learning.LearningRule
`listeners, neuralNetwork`

Constructor Summary
`UnsupervisedLearning()` Creates new unsupervised learning rule

Method Summary
`void` | `doLearningEpoch(DataSet trainingSet)` This method does one learning epoch for the unsupervised learning rules.
`protected void` | `learnPattern(DataSetRow trainingElement)` Trains network with the pattern from the specified training element
`protected abstract void` | `updateNetworkWeights()` This method implements the weight adjustment

Methods inherited from class org.neuroph.core.learning.IterativeLearning
`afterEpoch, beforeEpoch, doOneLearningIteration, getCurrentIteration, getLearningRate, isPausedLearning, learn, learn, onStart, pause, resume, setLearningRate, setMaxIterations`

Methods inherited from class org.neuroph.core.learning.LearningRule
`addListener, fireLearningEvent, getNeuralNetwork, getTrainingSet, isStopped, removeListener, setNeuralNetwork, setTrainingSet, stopLearning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnsupervisedLearning

    public UnsupervisedLearning()

  Creates new unsupervised learning rule

Method Detail

### doLearningEpoch

    public void doLearningEpoch(DataSet trainingSet)

  This method does one learning epoch for the unsupervised learning rules. It iterates through the training set and trains network weights for each element

  Specified by:
    `doLearningEpoch` in class `IterativeLearning`
  Parameters:
    `trainingSet` - training set for training network

### learnPattern

    protected void learnPattern(DataSetRow trainingElement)

  Trains network with the pattern from the specified training element

  Parameters:
    `DataSetItem` - unsupervised training element which contains network input

### updateNetworkWeights

    protected abstract void updateNetworkWeights()

  This method implements the weight adjustment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.